#!/usr/bin/haserl
Content-Type: text/html
<%
#   Copyright (c) 2011 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Michael Tross <mt@aizo.ag>
#
#   This file is part of digitalSTROM Server.
#
#   dsm-config-update.hs is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   funclib.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.
#
#   Configure dSM parameters
#
#   Parameter:
#   update    actually run the config update tool
%>
<html>
   <head>
      <meta content="text/html; charset=UTF-8" http-equiv="content-type">
      <link rel="stylesheet" type="text/css" href="/js/dss11/css/ds_gui.css" />
   </head>
   <body>

        <% . ./langdefs.sh
        export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
        TEMPFILE="/tmp/`mktemp`"
        if [ "${GET_dsid}" != "" ]; then
           dsmid=${GET_dsid}
        fi
        if [ "${POST_update}" != "" ]; then
           IFS='' DSMCONFIG=`dsm_config_update -c tcp://localhost:8442 -a`
           RVAL=$?
        else
           IFS='' DSMCONFIG=`dsm_config_update -c tcp://localhost:8442 -l`
           RVAL=$?
        fi
        %>

        <h2><% eval_gettext "dSM Configuration Update" %></h2>

        <pre>
          <form action="/cgi-bin/dsm-config-update.hs" method=POST>
          <table class="x-margined-green-text">
        
          <%
          NUMDEV=`echo -n $DSMCONFIG | grep "35:04:17:5f:e0" | wc -l`
          echo -e $DSMCONFIG | while read LINE
          do
            echo "<tr><td>$LINE</td>"
            DSID=`echo -n $LINE | grep "> 35:04:17:5f:e0"`
            if [ $? -eq 0 ]; then
              #echo -n "<td><input name=\"update\" title=\"Update\" type=\"submit\" value=\"Update\"></td>"
              echo "<td> </td>"
            else
              echo "<td></td>"
            fi
            echo "</tr>"
          done

          if [ "${POST_update}" != "" ]; then
              if [ $RVAL -eq 0 ]; then
                  echo "<tr><td>&nbsp;</td></tr><tr><td><h3>Success</h3></tr></td>"
              else
                  echo "<tr><td>&nbsp;</td></tr><tr><td><h3>Failure: $RVAL</h3></tr></td>"
              fi
          else
            if [ $NUMDEV -eq 0 ]; then
              echo "<tr><td>$NUMDEV</td></tr><tr><td>No dSM Connected!</td>"
            else
              echo "<tr><td>&nbsp;</td></tr><tr><td><input name=\"update\" title=\"Update\" type=\"submit\" value=\"Start Update\"</td></tr>"
            fi
          fi
          %>

          </table>
          </form>
        </pre>

        <% if [ "${GET_debug}" == "1" ]; then echo "<p><pre>$(env)</pre></p>"; fi %>
    </body>
</html>
